#!perl -w

use strict;
use Time::HiRes qw(gettimeofday);
use Data::Collection qw/read_directory/;
use Data::Collection::Search qw/search elapsed_time/;

my ($search_term, $case_sens) = ('Perl', 1);

my ($sec_start, $usec_start) = gettimeofday(); #get seconds and microseconds since the epoch

my ($report_loc, $number, $disks) = Data::Collection::Search->search(\$search_term, \$case_sens);

my ($sec_finish, $usec_finish) = gettimeofday(); #get seconds and microseconds since the epoch
my $time_ref = Data::Collection::Search->elapsed_time($sec_start,$usec_start,$sec_finish,$usec_finish);	

print ($$number > 0 ? sprintf(qq{\tThe search returned }. $$number .qq{ result%s for '}. $search_term .qq{' in %0.3f seconds on @$disks.  You can view the XML report in $$report_loc.\n\n},( $$number == 1 ? '' : 's' ), $$time_ref) : sprintf(qq{\tThe term '$search_term' could not be found in %0.3f seconds.\n\n}, $$time_ref));	

exit(0);




